using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Request.Media;
using GxPress.Result.Media;

namespace GxPress.Service.Implement.Media
{
    /// <summary>
    /// 明栏
    /// </summary>
    public partial class MediaService
    {
        /// <summary>
        /// 明栏
        /// </summary>
        /// <returns></returns>
        public async Task<IEnumerable<MediaStarLableResult>> GetMediaStarLableResultAysnc()
        {
            var result = new List<MediaStarLableResult>();
            //获取明栏
            var starLable = await attachRepository.GetStarLablesAsync();
            foreach (var item in starLable)
            {
                var request = new MediaStarLableRequest()
                {
                    AttachId = item.Item1
                };
                var mediaStarLableResult = new MediaStarLableResult()
                {
                    Id = item.Item1,
                    Name = item.Item2,
                    Item = await mediaRepository.GetStarLablesAsync(request)
                };
                result.Add(mediaStarLableResult);
            }
            return result;
        }
        /// <summary>
        /// 明栏分页
        /// </summary>
        /// <returns></returns>
        public async Task<PagedList<MediaCathedraResult>> GetStarLablePageAsync(MediaStarLableRequest request)
        {
            return await mediaRepository.GetStarLablePageAsync(request);
        }
    }
}